import axios from 'axios';
import config from '@api/config.js';

const urls = config.urls;
export default {
  getRecordList:(param)=>{
    return axios.post(urls.getRecord,param);
  },
  getRuleTypes:(param)=>{
    return axios.post(urls.getQcTypes,param);
  },
  getRecordDetail:(param)=>{
    return axios.post(urls.getRecordDetail,param);
  },
  saveRecord:(param)=>{
    return axios.post(urls.saveRecord,param);
  },
  getTypes:(param)=>{
    return axios.post(urls.getTypes,param);
  },
  getRecordInpList: (param) =>{ //获取全部病历录入
    return axios.post(urls.getRecordInpList,param);
  },
  removeRecordInpById: (param) =>{ //删除病历录入
    return axios.post(urls.removeRecordInpById,param);
  },
  addRecordInp: (param) =>{ //保存和修改全部病历录入 
    return axios.post(urls.addRecordInp,param);
  },
  getRecordInpModule: (param) =>{ //获取全部模块及条目
    return axios.post(urls.getRecordInpModule,param);
  },
  getRecordInpModuleByHospital: (param) =>{ //获取全部模块及条目
    return axios.post(urls.getRecordInpModuleByHospital,param);
  },
  getRecordHopitalList: (param) =>{ //获取医院信息
    return axios.post(urls.getRecordHopitalList,param);
  },
  getRecordCases: (param) =>{ //获取全部模块
    return axios.post(urls.getRecordCases,param);
  },
  getRecordIremList:(param) =>{ //获取病例条目列表
    return axios.post(urls.getRecordIremList,param);
  },
  addRecordItem:(param) =>{ //添加病例条目
    return axios.post(urls.addRecordItem,param);
  },
  getRecordByHospital:(param) =>{ //获取指定医院的病例条目
    return axios.post(urls.getRecordByHospital,param);
  },
  updateRecordByHospital:(param) =>{ //更新指定医院的病例条目 
    return axios.post(urls.updateRecordByHospital,param);
  },
  delRecordItem:(param) =>{ //删除病例条目
    return axios.post(urls.delRecordItem,param);
  },
  getRecordItemDetail:(param) =>{ //获取病例详情
    return axios.post(urls.getRecordItemDetail,param);
  },
  getInputcasesDetial:(param) =>{ //获取标注病例详情
    
  },
  gethospitalModuleList: (param) =>{ //获取医院数据模块
    return axios.post(urls.gethospitalModuleList,param);
  }
}